]> arthur.barton.de Git - ngircd-alex.git/blobdiff - src/testsuite/tests.sh
Test suite: remove indentation of messages
[ngircd-alex.git] / src / testsuite / tests.sh
index dc184ffc1fc552fa891dec508a127fdbd7812e63..f820628f8d1102bb7c1da297d3a24bffffe379b1 100755 (executable)
@@ -18,7 +18,7 @@ test=`echo ${name} | cut -d '.' -f 1`
 [ -d logs ] || mkdir logs
 
 if [ ! -r "$test" ]; then
 [ -d logs ] || mkdir logs
 
 if [ ! -r "$test" ]; then
-  echo "      ${name}: test \"$test\" not found!";  exit 77
+  echo "${name}: test \"$test\" not found!";  exit 77
   exit 1
 fi
 
   exit 1
 fi
 
@@ -27,14 +27,14 @@ fi
 
 type expect > /dev/null 2>&1
 if [ $? -ne 0 ]; then
 
 type expect > /dev/null 2>&1
 if [ $? -ne 0 ]; then
-  echo "      ${name}: \"expect\" not found.";  exit 77
+  echo "${name}: \"expect\" not found.";  exit 77
 fi
 type telnet > /dev/null 2>&1
 if [ $? -ne 0 ]; then
 fi
 type telnet > /dev/null 2>&1
 if [ $? -ne 0 ]; then
-  echo "      ${name}: \"telnet\" not found.";  exit 77
+  echo "${name}: \"telnet\" not found.";  exit 77
 fi
 
 fi
 
-echo_n "      running ${test} ..."
+echo_n "running ${test} ..."
 expect ${srcdir}/${test}.e > logs/${test}.log 2>&1; r=$?
 [ $r -eq 0 ] && echo " ok." || echo " failure!"
 
 expect ${srcdir}/${test}.e > logs/${test}.log 2>&1; r=$?
 [ $r -eq 0 ] && echo " ok." || echo " failure!"